
Redmine - Defect #5265

timetracking: subtasks time is added to the main task

2010-04-07 20:51 - Alex Last

Status: Closed Start date: 2010-04-07

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 1.0.0 (RC)   

Resolution: Fixed Affected version:  

Description

time tracking works weird with subtasks.

I logged to demo.redmine.org and created 3 tasks in my "ace" project:

1) feature1 - no estimate - target release 6.2

subtasks for feature1:

2) bug1 - estimate 5 hours - target release 6.2

3) task1 - estimate 10 hours - target release 6.2

I see total estimated time on 6.2 roadmap is 30 hours.

feature1 consists of 2 tasks, which are 15 hours total. and I see the total time of 15 hours shown on "feature1" details page.

why is subtasks' time added to the main task's time itself on the roadmap?

I'm considering using Redmine for simple project planning and I'm curious if timetracking feature is something experimental or stable

enough to be used in production.

Related issues:

Related to Redmine - Defect #6422: timetracking: subtasks time is not added t... Closed 2010-09-17

Associated revisions

Revision 3633 - 2010-04-11 15:20 - Jean-Philippe Lang

Fixes calculation of version estimated hours with subtasks (#5265).

History

#1 - 2010-04-08 15:52 - Yuki Kita

- File version.rb.diff added

Confirmed.

#2 - 2010-04-09 04:17 - Jeffrey Jones

I have been using time-tracking with no problems on 0.9.3.

If course that doesn't have sub-tasks. This is a new feature that isn't released yet, I think the demo site uses the developmental trunk code.

#3 - 2010-04-11 15:18 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 1.0.0 (RC)

- Affected version (unused) set to devel

- Resolution set to Fixed

The total estimated time for the version is fixed in r3633. It should now be 15.

Files

version.rb.diff 530 Bytes 2010-04-08 Yuki Kita
